%define name 	gcvs
%define version	1.0
%define release	3mdk

Summary: 	GTK+ interface for CVS
Name: 		gcvs
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Development/Other 
Source: 	gcvs-%{version}.tar.bz2
Patch:      gcvs-gcc34.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-root
URL: 		http://www.wincvs.org
BuildRequires: 	libgtk+1.2-devel bison flex tcl texinfo

%description
The gcvs package contains an interface for cvs written in C++ using
gtk+. It contains a version of cvs modified for communication
purposes with gcvs. gcvs is part of a bigger project named CvsGui
which provides several graphical clients on Mac and Windows as well.

%prep
%setup -q
%patch0 -p0

%build
./make_configure --prefix=/usr
perl -p -i -e "s/-O2/$RPM_OPT_FLAGS/g" `find -name Makefile`
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr %buildroot/%_bindir/{cvs*,rcs*}
rm -fr %buildroot/{%_libdir,%_infodir,%_mandir}

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}): command="gcvs" icon="development_section.png" needs="X11" section="Applications/Development/Tools" title="gCVS" longtitle="GTK frontend for CVS"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS README TODO
%{_menudir}/*
%{_bindir}/gcvs
%{_datadir}/gcvs

%changelog
* Tue Jun 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-3mdk
- rebuild for new g++
- patch 0: fix compiling with g++-3.4
- fix section names

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 1.0-2mdk
- buildrequires texinfo

* Fri Apr 18 2003 Austin Acton <aacton@yorku.ca> 1.0-1mdk
- fix buildrequires
- 1.0 final

* Mon Aug 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0b4-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial package creation for Mandrake 8.2+
